For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Invoices

Create and retrieve sales invoices for a given consent.

List sales invoices

get

Retrieves a paginated list of sales invoices for the specified consent.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

βœ… Supported

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

βœ… Supported

Procountor

Procountor

βœ… Supported

Visma Netvisor

Visma Netvisor

βœ… Supported

Microsoft Business Central

Microsoft Business Central

βœ… Supported

Exact Online

Exact Online

βœ… Supported

QuickBooks

QuickBooks

βœ… Supported

Xero

Xero

βœ… Supported

Bokio

Bokio

βœ… Supported

Kleer

Kleer

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

Query parameters
Countinteger Β· int32 Β· min: 1 Β· max: 100Optional

Number of records to return per page. Range: 1-100.

CurrentPageinteger Β· int32 Β· min: 1 Β· max: 2147483647Optional

Page number to return. Must be 1 or greater.

FromInvoiceDatestring Β· date-timeOptional

Start invoice issue date filter. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-01-01T00:00:00Z
ToInvoiceDatestring Β· date-timeOptional

End invoice issue date filter. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-12-31T00:00:00Z
CreatedDateTimestring Β· date-timeOptional

Return invoices created on or after this date and time. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-01-01T00:00:00Z
ModifiedDateTimestring Β· date-timeOptional

Return invoices modified on or after this date and time. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-01-01T00:00:00Z
OrderBystring Β· enumOptional

Sort order for the results.

Possible values:
Statusstring Β· enumOptional

The status to filter invoices by.

Legend:

  • βœ… = Supported
  • β›” = Not supported
SystemPaidUnpaidOverdueCancelledUnbookedUnsentDraft
Fortnoxβœ…βœ…βœ…βœ…βœ…β›”βœ…
Bjorn Lundenβœ…βœ…βœ…βœ…β›”β›”β›”
Spirisβœ…βœ…βœ…β›”β›”β›”βœ…
Tripletexβ›”β›”β›”β›”β›”β›”β›”
Visma e-conomicβœ…βœ…βœ…β›”β›”β›”βœ…
Billyβœ…βœ…β›”β›”β›”β›”βœ…
Visma Dineroβœ…β›”βœ…β›”β›”β›”βœ…
Procountorβœ…β›”β›”β›”β›”βœ…βœ…
Visma Netvisorβœ…βœ…βœ…βœ…β›”βœ…β›”
Microsoft Business Centralβœ…βœ…β›”βœ…β›”β›”βœ…
Bokioβœ…βœ…βœ…β›”β›”β›”βœ…
Exact Onlineβœ…βœ…βœ…β›”β›”β›”βœ…
QuickBooksβœ…βœ…βœ…β›”β›”β›”β›”
Xeroβœ…βœ…βœ…βœ…β›”β›”βœ…
FileOneβ›”β›”β›”β›”β›”β›”β›”
Possible values:
IncludestringOptional

Comma-separated list of optional data to include in the response.

Available values:

  1. paymentStatus β€” Include the payment status.
  2. paymentTerms β€” Include the payment terms.
Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Responses
200

Returns a paginated list of sales invoices for the specified consent.

application/json

Represents a paginated result containing metadata and a collection of items.

get/api/v1/consents/{consentId}/salesinvoices
GET /accounting/api/v1/consents/{consentId}/salesinvoices HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
  "meta": {
    "totalResources": 10,
    "totalPages": 1,
    "currentPage": 1
  },
  "data": [
    {
      "id": "INV-001",
      "reference": "INV-001",
      "dueDate": "2024-04-15",
      "issueDate": "2024-03-15",
      "createdDateTime": "2024-03-15T09:00:00Z",
      "modifiedDateTime": "2024-03-15T09:00:00Z",
      "isSent": false,
      "accountingCustomerParty": {
        "supplierAssignedAccountId": {
          "id": "CUST-001",
          "schemeId": "customerId"
        },
        "party": {
          "partyIdentification": [],
          "partyName": {
            "name": "Acme Corp",
            "languageId": "ENG"
          },
          "partyLegalEntity": null
        }
      },
      "paymentTerms": {
        "paymentTermsId": {
          "id": "30",
          "schemeId": null
        },
        "notes": [
          {
            "text": "Net 30 days",
            "languageId": "ENG"
          }
        ]
      },
      "notes": [
        {
          "text": "Thank you for your business",
          "languageId": "ENG"
        }
      ],
      "totalBalanceAmount": {
        "amount": 1250,
        "currencyId": "SEK"
      },
      "legalMonetaryTotal": {
        "taxInclusiveAmount": {
          "amount": 1250,
          "currencyId": "SEK"
        },
        "prepaidAmount": {
          "amount": 0,
          "currencyId": "SEK"
        },
        "payableRoundingAmount": {
          "amount": 0,
          "currencyId": "SEK"
        },
        "payableAmount": {
          "amount": 1250,
          "currencyId": "SEK"
        },
        "taxExclusiveAmount": {
          "amount": 1000,
          "currencyId": "SEK"
        },
        "lineExtensionAmount": {
          "amount": 1000,
          "currencyId": "SEK"
        }
      },
      "paymentStatus": {
        "status": "UNPAID"
      }
    }
  ]
}

Post a sales invoice

post

Creates a new sales invoice for the specified consent.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

πŸ“ž Not supported / contact us

Spiris

Spiris

πŸ“ž Not supported / contact us

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

βœ… Supported

Billy

Billy

πŸ“ž Not supported / contact us

Visma Dinero

Visma Dinero

πŸ“ž Not supported / contact us

Procountor

Procountor

πŸ“ž Not supported / contact us

Visma Netvisor

Visma Netvisor

πŸ“ž Not supported / contact us

Microsoft Business Central

Microsoft Business Central

πŸ“ž Not supported / contact us

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

πŸ“ž Not supported / contact us

Bokio

Bokio

πŸ“ž Not supported / contact us

Kleer

Kleer

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Body

Represents input data for a sales invoice.

referencestring Β· nullableOptional

Invoice number assigned by the sender.

buyerReferencestring Β· nullableOptional

Reference for the buyer (usually the buyer's purchase invoice number).

bookedInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is booked.

cancelledInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is cancelled.

issueDatestring Β· nullableOptional

Issue date of the invoice.

issueTimestring Β· nullableOptional

Issue time of the invoice.

dueDatestring Β· nullableOptional

Due date for payment of the invoice.

isSentboolean Β· nullableOptional

Indicates whether the invoice has been sent.

sellerReferencestring Β· nullableOptional

Reference for the seller.

Responses
201

The sales invoice was created. Response includes a Location header with the URL of the created resource.

application/json
post/api/v1/consents/{consentId}/salesinvoices
POST /accounting/api/v1/consents/{consentId}/salesinvoices HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
Accept: */*
Content-Length: 6639

{
  "reference": null,
  "buyerReference": null,
  "bookedInvoiceIndicator": null,
  "cancelledInvoiceIndicator": null,
  "issueDate": null,
  "issueTime": null,
  "dueDate": null,
  "creditInvoice": {
    "creditInvoiceIndicator": null,
    "reference": null,
    "creditInvoiceDocumentReferences": [
      {
        "id": null,
        "reference": null,
        "documentType": "Invoice"
      }
    ]
  },
  "financialDimensions": [
    {
      "id": null,
      "reference": null,
      "type": null,
      "name": null,
      "description": null,
      "isActive": null
    }
  ],
  "notes": [
    {
      "text": null,
      "languageId": null
    }
  ],
  "orderReference": {
    "buyerOrderId": null,
    "sellerOrderId": null
  },
  "documentCurrencyCode": {
    "currencyId": null,
    "currencyRate": null
  },
  "accountingSupplierParty": {
    "customerAssignedAccountId": {
      "id": null,
      "schemeId": null
    },
    "party": {
      "partyName": {
        "name": null,
        "languageId": null
      },
      "postalAddress": {
        "buildingNumber": null,
        "streetName": null,
        "additionalStreetName": null,
        "cityName": null,
        "postalZone": null,
        "country": {
          "identificationCode": null,
          "name": null
        }
      },
      "partyLegalEntity": {
        "registrationName": null,
        "companyId": {
          "id": null,
          "schemeId": null
        }
      },
      "contact": {
        "name": null,
        "telephone": null,
        "email": null,
        "secondaryEmail": null
      },
      "endpointId": {
        "id": null,
        "schemeId": null
      },
      "partyIdentification": [
        {
          "id": null,
          "schemeId": null
        }
      ]
    }
  },
  "accountingCustomerParty": {
    "supplierAssignedAccountId": {
      "id": null,
      "schemeId": null
    },
    "party": {
      "partyName": {
        "name": null,
        "languageId": null
      },
      "postalAddress": {
        "buildingNumber": null,
        "streetName": null,
        "additionalStreetName": null,
        "cityName": null,
        "postalZone": null,
        "country": {
          "identificationCode": null,
          "name": null
        }
      },
      "partyLegalEntity": {
        "registrationName": null,
        "companyId": {
          "id": null,
          "schemeId": null
        }
      },
      "contact": {
        "name": null,
        "telephone": null,
        "email": null,
        "secondaryEmail": null
      },
      "endpointId": {
        "id": null,
        "schemeId": null
      },
      "partyIdentification": [
        {
          "id": null,
          "schemeId": null
        }
      ]
    }
  },
  "invoicePeriod": {
    "startDate": null,
    "endDate": null
  },
  "delivery": {
    "deliveryParty": {
      "partyIdentification": {
        "id": null,
        "schemeId": null
      },
      "partyName": {
        "name": null,
        "languageId": null
      }
    },
    "carrierParty": {
      "partyIdentification": {
        "id": null,
        "schemeId": null
      },
      "partyName": {
        "name": null,
        "languageId": null
      }
    },
    "actualDeliveryDate": null,
    "trackingId": null,
    "deliveryAddress": {
      "buildingNumber": null,
      "streetName": null,
      "additionalStreetName": null,
      "cityName": null,
      "postalZone": null,
      "country": {
        "identificationCode": null,
        "name": null
      }
    }
  },
  "deliveryTerms": {
    "deliveryTermsId": {
      "id": null,
      "schemeId": null
    },
    "specialTerms": {
      "text": null,
      "languageId": null
    }
  },
  "paymentTerms": {
    "paymentTermsId": {
      "id": null,
      "schemeId": null
    },
    "notes": [
      {
        "text": null,
        "languageId": null
      }
    ]
  },
  "paymentMeans": [
    {
      "paymentChannelCode": null,
      "paymentDueDate": null,
      "paymentIds": [
        {
          "id": null,
          "schemeId": null
        }
      ]
    }
  ],
  "allowanceCharges": [
    {
      "allowanceChargeId": {
        "id": null,
        "schemeId": null
      },
      "chargeIndicator": true,
      "allowanceChargeReason": null,
      "allowanceChargeAmount": {
        "amount": 1,
        "currencyId": null
      },
      "taxTotal": {
        "taxAmount": {
          "amount": 1,
          "currencyId": null
        },
        "taxIncludedIndicator": null,
        "taxSubtotals": [
          {
            "taxableAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxCategory": {
              "id": null,
              "percent": null,
              "taxScheme": {
                "id": null
              },
              "taxExemptionReason": null,
              "taxExemptionReasonCode": null
            }
          }
        ]
      },
      "taxCategory": {
        "percent": 1,
        "taxScheme": {
          "taxSchemeId": {
            "id": null,
            "schemeId": null
          }
        },
        "id": null
      },
      "allowanceChargeBaseAmount": {
        "amount": 1,
        "currencyId": null
      },
      "multiplierFactorNumeric": null
    }
  ],
  "taxTotals": [
    {
      "taxAmount": {
        "amount": 1,
        "currencyId": null
      },
      "taxIncludedIndicator": null,
      "taxSubtotals": [
        {
          "taxableAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxCategory": {
            "id": null,
            "percent": null,
            "taxScheme": {
              "id": null
            },
            "taxExemptionReason": null,
            "taxExemptionReasonCode": null
          }
        }
      ]
    }
  ],
  "withholdingTaxTotals": [
    {
      "taxAmount": {
        "amount": 1,
        "currencyId": null
      },
      "taxSubtotals": [
        {
          "taxableAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxCategory": {
            "id": null,
            "percent": null,
            "taxScheme": {
              "id": null
            },
            "taxExemptionReason": null,
            "taxExemptionReasonCode": null
          }
        }
      ]
    }
  ],
  "totalBalanceAmount": {
    "amount": 1,
    "currencyId": null
  },
  "additionalDocumentReferences": [
    {
      "id": null,
      "reference": null
    }
  ],
  "legalMonetaryTotal": {
    "taxInclusiveAmount": {
      "amount": 1,
      "currencyId": null
    },
    "prepaidAmount": {
      "amount": 1,
      "currencyId": null
    },
    "payableRoundingAmount": {
      "amount": 1,
      "currencyId": null
    },
    "payableAmount": {
      "amount": 1,
      "currencyId": null
    },
    "lineExtensionAmount": {
      "amount": 1,
      "currencyId": null
    },
    "taxExclusiveAmount": {
      "amount": 1,
      "currencyId": null
    }
  },
  "paymentStatus": {
    "status": "UNPAID",
    "settlementDate": null
  },
  "isSent": null,
  "sellerReference": null,
  "invoiceLines": [
    {
      "id": null,
      "invoicedQuantity": {
        "quantity": null,
        "unitCode": null
      },
      "lineExtensionAmount": {
        "amount": 1,
        "currencyId": null
      },
      "item": {
        "name": null,
        "description": null,
        "sellersItemIdentification": {
          "id": null,
          "extendedId": null
        },
        "classifiedTaxCategories": [
          {
            "percent": 1,
            "taxScheme": {
              "taxSchemeId": {
                "id": null,
                "schemeId": null
              }
            },
            "id": null
          }
        ]
      },
      "price": {
        "priceAmount": {
          "amount": 1,
          "currencyId": null
        },
        "priceTypeCode": {
          "code": null,
          "listId": null
        },
        "baseQuantity": {
          "quantity": null,
          "unitCode": null
        },
        "allowanceCharges": [
          {
            "allowanceChargeId": {
              "id": null,
              "schemeId": null
            },
            "chargeIndicator": true,
            "allowanceChargeReason": null,
            "allowanceChargeAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxTotal": {
              "taxAmount": {
                "amount": 1,
                "currencyId": null
              },
              "taxIncludedIndicator": null,
              "taxSubtotals": [
                {
                  "taxableAmount": {
                    "amount": 1,
                    "currencyId": null
                  },
                  "taxAmount": {
                    "amount": 1,
                    "currencyId": null
                  },
                  "taxCategory": {
                    "id": null,
                    "percent": null,
                    "taxScheme": {
                      "id": null
                    },
                    "taxExemptionReason": null,
                    "taxExemptionReasonCode": null
                  }
                }
              ]
            },
            "taxCategory": {
              "percent": 1,
              "taxScheme": {
                "taxSchemeId": {
                  "id": null,
                  "schemeId": null
                }
              },
              "id": null
            },
            "allowanceChargeBaseAmount": {
              "amount": 1,
              "currencyId": null
            },
            "multiplierFactorNumeric": null
          }
        ]
      },
      "delivery": {
        "actualDeliveryDate": null
      },
      "financialDimensions": [
        {
          "id": null,
          "reference": null,
          "type": null,
          "name": null,
          "description": null,
          "isActive": null
        }
      ],
      "allowanceCharges": [
        {
          "allowanceChargeId": {
            "id": null,
            "schemeId": null
          },
          "chargeIndicator": true,
          "allowanceChargeReason": null,
          "allowanceChargeAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxTotal": {
            "taxAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxIncludedIndicator": null,
            "taxSubtotals": [
              {
                "taxableAmount": {
                  "amount": 1,
                  "currencyId": null
                },
                "taxAmount": {
                  "amount": 1,
                  "currencyId": null
                },
                "taxCategory": {
                  "id": null,
                  "percent": null,
                  "taxScheme": {
                    "id": null
                  },
                  "taxExemptionReason": null,
                  "taxExemptionReasonCode": null
                }
              }
            ]
          },
          "taxCategory": {
            "percent": 1,
            "taxScheme": {
              "taxSchemeId": {
                "id": null,
                "schemeId": null
              }
            },
            "id": null
          },
          "allowanceChargeBaseAmount": {
            "amount": 1,
            "currencyId": null
          },
          "multiplierFactorNumeric": null
        }
      ],
      "subInvoiceLines": [
        {
          "invoicedQuantity": {
            "quantity": null,
            "unitCode": null
          },
          "item": {
            "name": null,
            "description": null,
            "sellersItemIdentification": {
              "id": null,
              "extendedId": null
            },
            "classifiedTaxCategories": [
              {
                "percent": 1,
                "taxScheme": {
                  "taxSchemeId": {
                    "id": null,
                    "schemeId": null
                  }
                },
                "id": null
              }
            ]
          }
        }
      ]
    }
  ]
}
{
  "id": "550e8400-e29b-41d4-a716-446655440006",
  "reference": "INV-001",
  "buyerReference": "PO-2024-001",
  "bookedInvoiceIndicator": true,
  "cancelledInvoiceIndicator": false,
  "issueDate": "2024-03-15",
  "issueTime": "09:00:00",
  "dueDate": "2024-04-15",
  "creditInvoice": {
    "creditInvoiceIndicator": false,
    "creditInvoiceDocumentReferences": []
  },
  "financialDimensions": [],
  "notes": [
    {
      "text": "Thank you for your business",
      "languageId": "ENG"
    }
  ],
  "orderReference": {
    "buyerOrderId": "PO-2024-001",
    "sellerOrderId": "ORD-2024-001"
  },
  "documentCurrencyCode": {
    "currency": "SEK",
    "currencyId": "SEK",
    "currencyRate": 1
  },
  "accountingSupplierParty": null,
  "accountingCustomerParty": {
    "supplierAssignedAccountId": {
      "id": "CUST-001",
      "schemeId": "customerId"
    },
    "party": {
      "partyIdentification": [],
      "partyName": {
        "name": "Acme Corp",
        "languageId": "ENG"
      },
      "postalAddress": null,
      "partyLegalEntity": null,
      "contact": null,
      "endpointId": null
    },
    "type": null
  },
  "invoicePeriod": {
    "startDate": "2024-03-01",
    "endDate": "2024-03-31"
  },
  "delivery": null,
  "deliveryTerms": null,
  "paymentTerms": null,
  "paymentMeans": [],
  "allowanceCharges": [],
  "taxTotals": [
    {
      "taxAmount": {
        "amount": 250,
        "currencyId": "SEK"
      },
      "taxIncludedIndicator": true
    }
  ],
  "withholdingTaxTotals": [],
  "totalBalanceAmount": {
    "amount": 1250,
    "currencyId": "SEK"
  },
  "additionalDocumentReferences": [],
  "legalMonetaryTotal": {
    "taxInclusiveAmount": {
      "amount": 1250,
      "currencyId": "SEK"
    },
    "prepaidAmount": {
      "amount": 0,
      "currencyId": "SEK"
    },
    "payableRoundingAmount": {
      "amount": 0,
      "currencyId": "SEK"
    },
    "payableAmount": {
      "amount": 1250,
      "currencyId": "SEK"
    },
    "lineExtensionAmount": {
      "amount": 1000,
      "currencyId": "SEK"
    },
    "taxExclusiveAmount": {
      "amount": 1000,
      "currencyId": "SEK"
    }
  },
  "paymentStatus": {
    "status": "UNPAID",
    "settlementDate": "2024-04-15"
  },
  "isSent": false,
  "sellerReference": "INV-001",
  "isSold": false,
  "reminder": null,
  "invoiceLines": []
}

Get a sales invoice by ID

get

Retrieves a single sales invoice by its identifier.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

βœ… Supported

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

βœ… Supported

Procountor

Procountor

βœ… Supported

Visma Netvisor

Visma Netvisor

βœ… Supported

Microsoft Business Central

Microsoft Business Central

βœ… Supported

Exact Online

Exact Online

βœ… Supported

QuickBooks

QuickBooks

βœ… Supported

Xero

Xero

βœ… Supported

Bokio

Bokio

βœ… Supported

Kleer

Kleer

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

salesInvoiceIdstringRequired

Identifier of the sales invoice.

Query parameters
IncludestringOptional

Comma-separated list of optional data to include in the response.

Available values:

  1. paymentStatus β€” Include the payment status.
Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Responses
200

Returns the requested sales invoice.

application/json

Represents a sales invoice with full detail.

idstring Β· nullableOptional

Unique identifier generated by the accounting system.

referencestring Β· nullableOptional

External reference or number assigned to the invoice.

buyerReferencestring Β· nullableOptional

Reference for the buyer, usually the buyer's purchase order number.

bookedInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is booked.

cancelledInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is cancelled.

issueDatestring Β· nullableOptional

Date when the invoice was issued. Format: yyyy-MM-dd.

issueTimestring Β· nullableOptional

Time when the invoice was issued (null if not available).

dueDatestring Β· nullableOptional

Date when the invoice payment is due. Format: yyyy-MM-dd.

sellerReferencestring Β· nullableOptional

External reference or number assigned by the seller.

isSentboolean Β· nullableOptional

Indicates whether the invoice has been sent.

isSoldboolean Β· nullableOptional

Indicates whether the invoice is sold to a factoring company for lending purposes.

get/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId}
GET /accounting/api/v1/consents/{consentId}/salesinvoices/{salesInvoiceId} HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
  "id": "550e8400-e29b-41d4-a716-446655440006",
  "reference": "INV-001",
  "buyerReference": "PO-2024-001",
  "bookedInvoiceIndicator": true,
  "cancelledInvoiceIndicator": false,
  "issueDate": "2024-03-15",
  "issueTime": "09:00:00",
  "dueDate": "2024-04-15",
  "creditInvoice": {
    "creditInvoiceIndicator": false,
    "creditInvoiceDocumentReferences": []
  },
  "financialDimensions": [],
  "notes": [
    {
      "text": "Thank you for your business",
      "languageId": "ENG"
    }
  ],
  "orderReference": {
    "buyerOrderId": "PO-2024-001",
    "sellerOrderId": "ORD-2024-001"
  },
  "documentCurrencyCode": {
    "currency": "SEK",
    "currencyId": "SEK",
    "currencyRate": 1
  },
  "accountingSupplierParty": null,
  "accountingCustomerParty": {
    "supplierAssignedAccountId": {
      "id": "CUST-001",
      "schemeId": "customerId"
    },
    "party": {
      "partyIdentification": [],
      "partyName": {
        "name": "Acme Corp",
        "languageId": "ENG"
      },
      "postalAddress": null,
      "partyLegalEntity": null,
      "contact": null,
      "endpointId": null
    },
    "type": null
  },
  "invoicePeriod": {
    "startDate": "2024-03-01",
    "endDate": "2024-03-31"
  },
  "delivery": null,
  "deliveryTerms": null,
  "paymentTerms": null,
  "paymentMeans": [],
  "allowanceCharges": [],
  "taxTotals": [
    {
      "taxAmount": {
        "amount": 250,
        "currencyId": "SEK"
      },
      "taxIncludedIndicator": true
    }
  ],
  "withholdingTaxTotals": [],
  "totalBalanceAmount": {
    "amount": 1250,
    "currencyId": "SEK"
  },
  "additionalDocumentReferences": [],
  "legalMonetaryTotal": {
    "taxInclusiveAmount": {
      "amount": 1250,
      "currencyId": "SEK"
    },
    "prepaidAmount": {
      "amount": 0,
      "currencyId": "SEK"
    },
    "payableRoundingAmount": {
      "amount": 0,
      "currencyId": "SEK"
    },
    "payableAmount": {
      "amount": 1250,
      "currencyId": "SEK"
    },
    "lineExtensionAmount": {
      "amount": 1000,
      "currencyId": "SEK"
    },
    "taxExclusiveAmount": {
      "amount": 1000,
      "currencyId": "SEK"
    }
  },
  "paymentStatus": {
    "status": "UNPAID",
    "settlementDate": "2024-04-15"
  },
  "isSent": false,
  "sellerReference": "INV-001",
  "isSold": false,
  "reminder": null,
  "invoiceLines": []
}

Last updated

Was this helpful?